Associated revisions
Revision 59b49197 - 2011-11-04 17:44 - Christian Müller

[TASK] Unify usage of random byte generator

We already use the randomizer library, now all calls to it are
wrapped in Utilities\Algorithms.

Change-Id: Idfec7ee76179ebbd531fb613d1b345fc8a424fdc
Resolves: #25714
Releases: 1.1

History
#1 - 2011-04-01 20:03 - Karsten Dambekalns

Also make sure to use it in place of our Utility\Algorithms::getRandomBytes() method.

#2 - 2011-08-04 08:39 - Sebastian Kurfuerst
- Target version changed from 1.0 beta 1 to 1.0 beta 2

postproning to beta2 as it is not done yet.

#3 - 2011-09-09 15:17 - Robert Lemke
- Target version changed from 1.0 beta 2 to 1.0.0

#4 - 2011-10-20 01:47 - Karsten Dambekalns
- Target version deleted (1.0.0)

#5 - 2011-10-20 10:09 - Mr. Hudson
- Status changed from New to Under Review

Patch set 1 of change Idfec7ee76179ebbd531fb613d1b345fc8a424fdc has been pushed to the review server.
It is available at http://review.typo3.org/6113
#6 - 2011-10-20 10:20 - Karsten Dambekalns

Although the proposed change does not include the library as external component. That was aimed at "make it a package" as well...

#7 - 2011-11-04 17:47 - Mr. Hudson

Patch set 2 of change Idfec7ee76179ebbd531fb613d1b345fc8a424fdc has been pushed to the review server.
It is available at http://review.typo3.org/6113

#8 - 2011-11-04 18:06 - Christian Müller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:59b49197913a31a3dc917a96bc802259c99ec916.
